<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://service.admoto.pl/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://service.admoto.pl/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://service.admoto.pl/">
      <s:element name="GetAllAds">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="otomotoDealer" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAllAdsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetAllAdsResult">
              <s:complexType mixed="true">
                <s:sequence>
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetShortAds">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="otomotoDealer" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetShortAdsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetShortAdsResult">
              <s:complexType mixed="true">
                <s:sequence>
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAds2Node">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="oglId" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAds2NodeResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetAds2NodeResult">
              <s:complexType mixed="true">
                <s:sequence>
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="PutImage">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="imgIn" type="s:base64Binary" />
            <s:element minOccurs="1" maxOccurs="1" name="nrWydania" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="idReklamy" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="n" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="PutImageResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="PutImageResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AuthenticationTicket" type="tns:AuthenticationTicket" />
      <s:complexType name="AuthenticationTicket">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="Create" type="s:dateTime" />
        </s:sequence>
        <s:anyAttribute />
      </s:complexType>
      <s:element name="Authenticate">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="uid" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="password" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AuthenticateResponse">
        <s:complexType />
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetAllAdsSoapIn">
    <wsdl:part name="parameters" element="tns:GetAllAds" />
  </wsdl:message>
  <wsdl:message name="GetAllAdsSoapOut">
    <wsdl:part name="parameters" element="tns:GetAllAdsResponse" />
  </wsdl:message>
  <wsdl:message name="GetShortAdsSoapIn">
    <wsdl:part name="parameters" element="tns:GetShortAds" />
  </wsdl:message>
  <wsdl:message name="GetShortAdsSoapOut">
    <wsdl:part name="parameters" element="tns:GetShortAdsResponse" />
  </wsdl:message>
  <wsdl:message name="GetAds2NodeSoapIn">
    <wsdl:part name="parameters" element="tns:GetAds2Node" />
  </wsdl:message>
  <wsdl:message name="GetAds2NodeSoapOut">
    <wsdl:part name="parameters" element="tns:GetAds2NodeResponse" />
  </wsdl:message>
  <wsdl:message name="PutImageSoapIn">
    <wsdl:part name="parameters" element="tns:PutImage" />
  </wsdl:message>
  <wsdl:message name="PutImageSoapOut">
    <wsdl:part name="parameters" element="tns:PutImageResponse" />
  </wsdl:message>
  <wsdl:message name="PutImageAuthenticationTicket">
    <wsdl:part name="AuthenticationTicket" element="tns:AuthenticationTicket" />
  </wsdl:message>
  <wsdl:message name="AuthenticateSoapIn">
    <wsdl:part name="parameters" element="tns:Authenticate" />
  </wsdl:message>
  <wsdl:message name="AuthenticateSoapOut">
    <wsdl:part name="parameters" element="tns:AuthenticateResponse" />
  </wsdl:message>
  <wsdl:message name="AuthenticateAuthenticationTicket">
    <wsdl:part name="AuthenticationTicket" element="tns:AuthenticationTicket" />
  </wsdl:message>
  <wsdl:portType name="ImportOtoMotoSoap">
    <wsdl:operation name="GetAllAds">
      <wsdl:input message="tns:GetAllAdsSoapIn" />
      <wsdl:output message="tns:GetAllAdsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetShortAds">
      <wsdl:input message="tns:GetShortAdsSoapIn" />
      <wsdl:output message="tns:GetShortAdsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetAds2Node">
      <wsdl:input message="tns:GetAds2NodeSoapIn" />
      <wsdl:output message="tns:GetAds2NodeSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="PutImage">
      <wsdl:input message="tns:PutImageSoapIn" />
      <wsdl:output message="tns:PutImageSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Authenticate">
      <wsdl:input message="tns:AuthenticateSoapIn" />
      <wsdl:output message="tns:AuthenticateSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ImportOtoMotoSoap" type="tns:ImportOtoMotoSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetAllAds">
      <soap:operation soapAction="http://service.admoto.pl/GetAllAds" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetShortAds">
      <soap:operation soapAction="http://service.admoto.pl/GetShortAds" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAds2Node">
      <soap:operation soapAction="http://service.admoto.pl/GetAds2Node" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PutImage">
      <soap:operation soapAction="http://service.admoto.pl/PutImage" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
        <soap:header message="tns:PutImageAuthenticationTicket" part="AuthenticationTicket" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Authenticate">
      <soap:operation soapAction="http://service.admoto.pl/Authenticate" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
        <soap:header message="tns:AuthenticateAuthenticationTicket" part="AuthenticationTicket" use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="ImportOtoMotoSoap12" type="tns:ImportOtoMotoSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetAllAds">
      <soap12:operation soapAction="http://service.admoto.pl/GetAllAds" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetShortAds">
      <soap12:operation soapAction="http://service.admoto.pl/GetShortAds" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAds2Node">
      <soap12:operation soapAction="http://service.admoto.pl/GetAds2Node" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PutImage">
      <soap12:operation soapAction="http://service.admoto.pl/PutImage" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
        <soap12:header message="tns:PutImageAuthenticationTicket" part="AuthenticationTicket" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Authenticate">
      <soap12:operation soapAction="http://service.admoto.pl/Authenticate" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
        <soap12:header message="tns:AuthenticateAuthenticationTicket" part="AuthenticationTicket" use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ImportOtoMoto">
    <wsdl:port name="ImportOtoMotoSoap" binding="tns:ImportOtoMotoSoap">
      <soap:address location="http://service.admoto.pl/importotomoto/default.asmx" />
    </wsdl:port>
    <wsdl:port name="ImportOtoMotoSoap12" binding="tns:ImportOtoMotoSoap12">
      <soap12:address location="http://service.admoto.pl/importotomoto/default.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>